OTRS 7 Patch Level 22

Release Note

OTRS 7 Patch Level 22

October 12, 2020 — OTRS Group, the world’s leading provider of the OTRS service management suite, including the fully managed OTRS solution and the ITIL® V3-compliant IT service management software OTRS::ITSM, today announces the first release of the OTRS 7 patch level 22.

 

Important for Upgrading

Please consult our admin manual for detailed instructions.

Enhancements

  • Updated translations, thanks to all translators.
  • Added CPAN dependency for Elasticsearch 6 client and explicit usage.
  • Added print ticket feature in external interface.
  • Improved agent masking in the chat feature.
  • Updated third party libraries: jquery to 3.5.1, fullcalendar to 3.10.2, fullcalendar-scheduler to 1.10.1 and spectrum to 1.8.1.
  • Added support for ElasticSearch 7.
  • Fixed small visual issue when comparing SysConfig settings.

Bug Fixes

  • Bug#15222 – Agents are not able to login because of to small data_key in the sessions table. Issue can occur when LDAP is used and it contains large records.
  • Fixed Ticket#2020083142001015 – Added export ticket list feature in the External Interface.
  • Bug#15246 – Default encryption setting on queue is ignored.
  • Bug#15272 – Base64 encode adds unwanted space in authorization REST header.
  • Bug#15239 – In action AgentTicketMove the Priority value is not pre-filled.
  • Bug#14866 – When there is at least on article in the process ticket, a link “Add another message” appears. We already have the button Respond to ticket with same functionality.
  • Reverted fix for Bug#14722 – Debug messages are shown as Daemon errors.
  • Bug#15259 – GPG 2 “selecting card failed” message provokes false decryption errors. This normally is not a hard error and does not indicate that the decryption has failed, but OTRS PGP parsing looks for the ‘failed’ word in the message, provoking and abnormal operation as this is interpreted as a decryption failure.
  • Reverted fix for Bug#14203 – GET method in web services processes entity-body message from request.
  • Bug#15232 – Using “0” as key in dynamic fields of type multiselect is not working. The value can’t be selected, or it causes error.

Browser Support

  • JavaScript is required to use OTRS.

These browsers are not supported:

  • Microsoft Internet Explorer before version 11
  • Firefox before version 31
  • Safari before version 6

We recommend to use the latest version of your browser, because it has the best JavaScript and rendering performance. Dramatical performance varieties between the used browsers can occur with big data or big systems. We are happy to consult you on that matter.

Note:

  • OTRS 9 will not support Internet Explorer anymore.
  • OTRS 9 will not support Oracle as application database anymore.

 

OTRS Group managed customers who are using product versions that are reaching end of maintenance and support must be updated by our Customer Solution Team by scheduling an individual maintenance appointment in order to continue receiving necessary releases and support. OTRS On-Premise customers must obtain a newer product version by ordering our migration services.

Release Details